Linux cpanel2.daytoncreative.net 2.6.32-754.29.2.el6.x86_64 #1 SMP Tue May 12 17:39:04 UTC 2020 x86_64
Apache/2.4.43 (cPanel) OpenSSL/1.1.1g mod_bwlimited/1.4
Server IP : 70.62.220.67 & Your IP : 216.73.216.193
Domains :
Cant Read [ /etc/named.conf ]
User : michaelgreg
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
var /
log /
perl-5.20.2 /
lib /
Delete
Unzip
Name
Size
Permission
Date
Action
App
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Archive
[ DIR ]
drwxr-xr-x
2016-10-10 17:36
Attribute
[ DIR ]
drwxr-xr-x
2016-10-10 17:36
B
[ DIR ]
drwxr-xr-x
2016-10-10 17:38
CGI
[ DIR ]
drwxr-xr-x
2016-10-10 17:36
CPAN
[ DIR ]
drwxr-xr-x
2016-10-10 17:36
Carp
[ DIR ]
drwxr-xr-x
2016-10-10 17:36
Class
[ DIR ]
drwxr-xr-x
2015-02-14 16:56
Compress
[ DIR ]
drwxr-xr-x
2016-10-10 17:38
Config
[ DIR ]
drwxr-xr-x
2016-10-10 17:36
DBM_Filter
[ DIR ]
drwxr-xr-x
2015-02-14 16:56
Data
[ DIR ]
drwxr-xr-x
2016-10-10 17:38
Devel
[ DIR ]
drwxr-xr-x
2016-10-10 17:39
Digest
[ DIR ]
drwxr-xr-x
2016-10-10 17:39
Encode
[ DIR ]
drwxr-xr-x
2016-10-10 17:39
Exporter
[ DIR ]
drwxr-xr-x
2016-10-10 17:36
ExtUtils
[ DIR ]
drwxr-xr-x
2016-10-10 17:36
File
[ DIR ]
drwxr-xr-x
2016-10-10 17:39
Filter
[ DIR ]
drwxr-xr-x
2016-10-10 17:39
Getopt
[ DIR ]
drwxr-xr-x
2016-10-10 17:36
HTTP
[ DIR ]
drwxr-xr-x
2016-10-10 17:36
Hash
[ DIR ]
drwxr-xr-x
2016-10-10 17:39
I18N
[ DIR ]
drwxr-xr-x
2016-10-10 17:39
IO
[ DIR ]
drwxr-xr-x
2016-10-10 17:39
IPC
[ DIR ]
drwxr-xr-x
2016-10-10 17:39
JSON
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
List
[ DIR ]
drwxr-xr-x
2016-10-10 17:39
Locale
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
MIME
[ DIR ]
drwxr-xr-x
2016-10-10 17:40
Math
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Memoize
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Module
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Net
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Package
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Params
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Parse
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Perl
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
PerlIO
[ DIR ]
drwxr-xr-x
2016-10-10 17:40
Pod
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Scalar
[ DIR ]
drwxr-xr-x
2016-10-10 17:39
Search
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Sys
[ DIR ]
drwxr-xr-x
2016-10-10 17:40
TAP
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Term
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Test
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Text
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Thread
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
Tie
[ DIR ]
drwxr-xr-x
2016-10-10 17:40
Time
[ DIR ]
drwxr-xr-x
2016-10-10 17:40
Unicode
[ DIR ]
drwxr-xr-x
2016-10-10 17:40
User
[ DIR ]
drwxr-xr-x
2015-02-14 16:56
XS
[ DIR ]
drwxr-xr-x
2016-10-10 17:41
auto
[ DIR ]
drwxr-xr-x
2016-10-10 18:16
autodie
[ DIR ]
drwxr-xr-x
2016-10-10 17:36
encoding
[ DIR ]
drwxr-xr-x
2016-10-10 17:36
feature
[ DIR ]
drwxr-xr-x
2015-02-14 16:56
inc
[ DIR ]
drwxr-xr-x
2016-10-10 17:37
overload
[ DIR ]
drwxr-xr-x
2016-10-10 18:13
perl5db
[ DIR ]
drwxr-xr-x
2015-02-14 16:56
threads
[ DIR ]
drwxr-xr-x
2016-10-10 17:40
unicore
[ DIR ]
drwxr-xr-x
2016-10-10 18:53
version
[ DIR ]
drwxr-xr-x
2016-10-10 17:38
warnings
[ DIR ]
drwxr-xr-x
2015-02-14 16:56
.exists
0
B
-rw-r--r--
2016-10-10 18:16
AnyDBM_File.pm
2.56
KB
-r--r--r--
2014-12-27 11:48
AnyDBM_File.t
3.36
KB
-r--r--r--
2014-12-27 11:48
AutoLoader.pm
15.43
KB
-r--r--r--
2014-12-27 11:48
AutoSplit.pm
19.18
KB
-r--r--r--
2014-12-27 11:48
B.pm
28.07
KB
-r--r--r--
2014-12-27 11:49
Benchmark.pm
29.22
KB
-r--r--r--
2014-12-27 11:49
Benchmark.t
21.04
KB
-r--r--r--
2014-12-27 11:48
CGI.pm
255.23
KB
-r--r--r--
2014-12-27 11:49
CORE.pod
3.19
KB
-r--r--r--
2014-12-27 11:48
CPAN.pm
134.45
KB
-r--r--r--
2014-12-27 11:48
Carp.pm
27.8
KB
-r--r--r--
2014-12-27 11:49
Config.pm
3.18
KB
-rw-r--r--
2016-10-10 17:36
Config.pod
229.34
KB
-rw-r--r--
2016-10-10 17:36
Config.t
8.26
KB
-r--r--r--
2014-12-27 11:48
Config_git.pl
409
B
-rw-r--r--
2016-10-10 17:36
Config_heavy.pl
40.41
KB
-rw-r--r--
2016-10-10 17:36
Cwd.pm
21.95
KB
-r--r--r--
2015-01-10 12:06
DB.pm
18.5
KB
-r--r--r--
2014-12-27 11:48
DB.t
16.28
KB
-r--r--r--
2014-12-27 11:48
DBM_Filter.pm
14.05
KB
-r--r--r--
2014-12-27 11:48
DB_File.pm
62.24
KB
-r--r--r--
2016-10-10 17:38
Digest.pm
10.35
KB
-r--r--r--
2014-12-27 11:48
DirHandle.pm
1.52
KB
-r--r--r--
2014-12-27 11:48
DirHandle.t
930
B
-r--r--r--
2014-12-27 11:48
Dumpvalue.pm
16.5
KB
-r--r--r--
2014-12-27 11:48
DynaLoader.pm
24.99
KB
-r--r--r--
2016-10-10 17:38
Encode.pm
32.44
KB
-r--r--r--
2014-12-27 11:49
English.pm
4.64
KB
-r--r--r--
2014-12-27 11:48
English.t
4.11
KB
-r--r--r--
2014-12-27 11:48
Env.pm
5.39
KB
-r--r--r--
2014-12-27 11:48
Errno.pm
6.33
KB
-r--r--r--
2016-10-10 17:36
Exporter.pm
18.31
KB
-r--r--r--
2014-12-27 11:49
Fatal.pm
59.38
KB
-r--r--r--
2014-12-27 11:49
Fcntl.pm
3.83
KB
-r--r--r--
2014-12-27 11:49
FileCache.pm
5.44
KB
-r--r--r--
2014-12-27 11:48
FileHandle.pm
6.62
KB
-r--r--r--
2014-12-27 11:48
FileHandle.t
2.48
KB
-r--r--r--
2014-12-27 11:48
FindBin.pm
4.45
KB
-r--r--r--
2014-12-27 11:48
FindBin.t
338
B
-r--r--r--
2014-12-27 11:48
GDBM_File.pm
1.51
KB
-r--r--r--
2014-12-27 11:48
IO.pm
1.36
KB
-r--r--r--
2014-12-27 11:49
Internals.t
5.04
KB
-r--r--r--
2014-12-27 11:48
Memoize.pm
35.28
KB
-r--r--r--
2014-12-27 11:48
NDBM_File.pm
2.44
KB
-r--r--r--
2014-12-27 11:49
NEXT.pm
18.05
KB
-r--r--r--
2014-12-27 11:48
O.pm
4.11
KB
-r--r--r--
2014-12-27 11:48
Opcode.pm
15.33
KB
-r--r--r--
2014-12-27 11:49
POSIX.pm
16.44
KB
-r--r--r--
2014-12-27 11:49
POSIX.pod
65.45
KB
-r--r--r--
2014-12-27 11:49
PerlIO.pm
10.21
KB
-r--r--r--
2014-12-27 11:48
SDBM_File.pm
3.46
KB
-r--r--r--
2014-12-27 11:49
Safe.pm
24.27
KB
-r--r--r--
2014-12-27 11:49
SelectSaver.pm
1.05
KB
-r--r--r--
2014-12-27 11:48
SelectSaver.t
365
B
-r--r--r--
2014-12-27 11:48
SelfLoader.pm
16.94
KB
-r--r--r--
2014-12-27 11:49
Socket.pm
35.47
KB
-r--r--r--
2014-12-27 11:49
Storable.pm
42.13
KB
-r--r--r--
2015-01-15 22:12
Symbol.pm
4.68
KB
-r--r--r--
2014-12-27 11:48
Symbol.t
2.52
KB
-r--r--r--
2014-12-27 11:48
Test.pm
28.12
KB
-r--r--r--
2014-12-27 11:48
Thread.pm
8.09
KB
-r--r--r--
2014-12-27 11:48
Thread.t
1.59
KB
-r--r--r--
2014-12-27 11:48
UNIVERSAL.pm
6.97
KB
-r--r--r--
2014-12-27 11:49
XSLoader.pm
9.99
KB
-r--r--r--
2016-10-10 17:38
_charnames.pm
31.63
KB
-r--r--r--
2014-12-27 11:49
arybase.pm
2.75
KB
-r--r--r--
2014-12-27 11:49
attributes.pm
15.95
KB
-r--r--r--
2014-12-27 12:30
autodie.pm
11.9
KB
-r--r--r--
2014-12-27 11:49
autouse.pm
4.14
KB
-r--r--r--
2014-12-27 11:48
base.pm
7.21
KB
-r--r--r--
2014-12-27 11:48
bigint.pm
18.29
KB
-r--r--r--
2014-12-27 11:49
bignum.pm
17.7
KB
-r--r--r--
2014-12-27 11:49
bigrat.pm
13.58
KB
-r--r--r--
2014-12-27 11:49
blib.pm
2.04
KB
-r--r--r--
2014-12-27 11:48
blib.t
1.81
KB
-r--r--r--
2014-12-27 11:48
buildcustomize.pl
1.1
KB
-rw-r--r--
2016-10-10 17:36
bytes.pm
2.96
KB
-r--r--r--
2014-12-27 11:48
bytes.t
2.78
KB
-r--r--r--
2014-12-27 11:48
bytes_heavy.pl
758
B
-r--r--r--
2014-12-27 11:48
charnames.pm
20.39
KB
-r--r--r--
2014-12-27 11:49
charnames.t
372.58
KB
-r--r--r--
2014-12-27 11:49
constant.pm
13.99
KB
-r--r--r--
2014-12-27 11:49
dbm_filter_util.pl
1.83
KB
-r--r--r--
2014-12-27 11:48
deprecate.pm
3.01
KB
-r--r--r--
2014-12-27 11:48
diagnostics.pm
18.26
KB
-r--r--r--
2014-12-27 11:48
diagnostics.t
7.1
KB
-r--r--r--
2014-12-27 11:49
dumpvar.pl
15.24
KB
-r--r--r--
2014-12-27 11:48
dumpvar.t
5.81
KB
-r--r--r--
2014-12-27 11:48
encoding.pm
20.04
KB
-r--r--r--
2014-12-27 11:49
experimental.pm
3.88
KB
-r--r--r--
2014-12-27 11:49
feature.pm
13.46
KB
-rw-r--r--
2014-12-27 12:46
feature.t
78
B
-r--r--r--
2014-12-27 11:48
fields.pm
9.24
KB
-r--r--r--
2014-12-27 11:48
filetest.pm
3.91
KB
-r--r--r--
2014-12-27 11:48
filetest.t
3
KB
-r--r--r--
2014-12-27 11:48
h2ph.t
1.58
KB
-r--r--r--
2014-12-27 11:48
h2xs.t
7.64
KB
-r--r--r--
2014-12-27 11:48
if.pm
2.63
KB
-r--r--r--
2014-12-27 11:48
integer.pm
3.18
KB
-r--r--r--
2014-12-27 11:48
integer.t
1.32
KB
-r--r--r--
2014-12-27 11:48
less.pm
3.13
KB
-r--r--r--
2014-12-27 11:48
less.t
901
B
-r--r--r--
2014-12-27 11:48
lib.pm
5.87
KB
-r--r--r--
2016-10-10 17:37
locale.pm
2.13
KB
-r--r--r--
2014-12-27 11:49
locale.t
72.86
KB
-r--r--r--
2014-12-27 11:49
mro.pm
9.86
KB
-r--r--r--
2014-12-27 11:49
open.pm
7.83
KB
-r--r--r--
2014-12-27 11:48
open.t
6.4
KB
-r--r--r--
2014-12-27 11:48
ops.pm
997
B
-r--r--r--
2014-12-27 11:48
overload.pm
51.41
KB
-r--r--r--
2014-12-27 11:49
overload.t
71.98
KB
-r--r--r--
2014-12-27 11:49
overload64.t
8.33
KB
-r--r--r--
2014-12-27 11:48
overloading.pm
1.77
KB
-r--r--r--
2014-12-27 11:48
overloading.t
3.25
KB
-r--r--r--
2014-12-27 11:48
parent.pm
2.83
KB
-r--r--r--
2014-12-27 11:48
perl5db.pl
307.01
KB
-r--r--r--
2014-12-27 11:49
perl5db.t
56.06
KB
-r--r--r--
2014-12-27 11:49
perldoc.pod
8.69
KB
-r--r--r--
2014-12-27 11:48
perlfaq.pm
94
B
-r--r--r--
2014-12-27 11:49
perlfaq.pod
22.18
KB
-r--r--r--
2014-12-27 11:48
perlfaq1.pod
14.36
KB
-r--r--r--
2014-12-27 11:49
perlfaq2.pod
9.24
KB
-r--r--r--
2014-12-27 11:49
perlfaq3.pod
37.67
KB
-r--r--r--
2014-12-27 11:48
perlfaq4.pod
87.39
KB
-r--r--r--
2014-12-27 11:49
perlfaq5.pod
54.11
KB
-r--r--r--
2014-12-27 11:49
perlfaq6.pod
38.66
KB
-r--r--r--
2014-12-27 11:49
perlfaq7.pod
36.98
KB
-r--r--r--
2014-12-27 11:49
perlfaq8.pod
48.9
KB
-r--r--r--
2014-12-27 11:48
perlfaq9.pod
14.7
KB
-r--r--r--
2014-12-27 11:48
perlglossary.pod
133.98
KB
-r--r--r--
2014-12-27 11:48
perlxs.pod
76.6
KB
-r--r--r--
2014-12-27 11:49
perlxstut.pod
48.91
KB
-r--r--r--
2014-12-27 11:48
perlxstypemap.pod
23.02
KB
-r--r--r--
2014-12-27 11:49
re.pm
17.55
KB
-r--r--r--
2014-12-27 11:49
sigtrap.pm
7.44
KB
-r--r--r--
2014-12-27 11:48
sigtrap.t
2.65
KB
-r--r--r--
2014-12-27 11:48
sort.pm
5.94
KB
-r--r--r--
2014-12-27 11:48
sort.t
5.54
KB
-r--r--r--
2014-12-27 11:49
strict.pm
3.83
KB
-r--r--r--
2014-12-27 11:49
strict.t
439
B
-r--r--r--
2014-12-27 11:49
subs.pm
848
B
-r--r--r--
2014-12-27 11:48
subs.t
79
B
-r--r--r--
2014-12-27 11:48
threads.pm
34.93
KB
-r--r--r--
2014-12-27 11:49
utf8.pm
7.64
KB
-r--r--r--
2014-12-27 11:49
utf8.t
21.67
KB
-r--r--r--
2014-12-27 11:48
utf8_heavy.pl
31
KB
-r--r--r--
2014-12-27 11:49
vars.pm
2.36
KB
-r--r--r--
2014-12-27 11:48
vars.t
2.68
KB
-r--r--r--
2014-12-27 11:48
vars_carp.t
246
B
-r--r--r--
2014-12-27 11:48
version.pm
1.58
KB
-r--r--r--
2014-12-27 11:48
version.pod
9.62
KB
-r--r--r--
2014-12-27 11:48
vmsish.pm
4.21
KB
-r--r--r--
2014-12-27 11:48
vmsish.t
7.21
KB
-r--r--r--
2014-12-27 11:48
warnings.pm
38.5
KB
-rw-r--r--
2014-12-27 11:49
warnings.t
120
B
-r--r--r--
2014-12-27 11:48
Save
Rename
#!./perl BEGIN { chdir 't' if -d 't'; @INC = '../lib'; } my $perl = $^X; $perl = VMS::Filespec::vmsify($perl) if $^O eq 'VMS'; my $Invoke_Perl = qq(MCR $perl "-I[-.lib]"); use Test::More tests => 29; SKIP: { skip("tests for non-VMS only", 1) if $^O eq 'VMS'; no utf8; BEGIN { $Orig_Bits = $^H } # make sure that all those 'use vmsish' calls didn't do anything. is( $Orig_Bits, $^H, 'use vmsish a no-op' ); } SKIP: { skip("tests for VMS only", 28) unless $^O eq 'VMS'; #========== vmsish status ========== `$Invoke_Perl -e 1`; # Avoid system() from a pipe from harness. Mutter. is($?,0,"simple Perl invocation: POSIX success status"); { use vmsish qw(status); is(($? & 1),1, "importing vmsish [vmsish status]"); { no vmsish qw(status); # check unimport function is($?,0, "unimport vmsish [POSIX STATUS]"); } # and lexical scoping is(($? & 1),1,"lex scope of vmsish [vmsish status]"); } is($?,0,"outer lex scope of vmsish [POSIX status]"); { use vmsish qw(exit); # check import function is($?,0,"importing vmsish exit [POSIX status]"); } #========== vmsish exit, messages ========== { use vmsish qw(status); $msg = do_a_perl('-e "exit 1"'); $msg =~ s/\n/\\n/g; # keep output on one line like($msg, qr/ABORT/, "POSIX ERR exit, DCL error message check"); is($?&1,0,"vmsish status check, POSIX ERR exit"); $msg = do_a_perl('-e "use vmsish qw(exit); exit 1"'); $msg =~ s/\n/\\n/g; # keep output on one line ok(length($msg)==0,"vmsish OK exit, DCL error message check"); is($?&1,1, "vmsish status check, vmsish OK exit"); $msg = do_a_perl('-e "\&CORE::exit;use vmsish qw(exit);&CORE::exit(1)"'); $msg =~ s/\n/\\n/g; # keep output on one line ok(length($msg)==0,"vmsish OK exit (via &CORE::), DCL err msg check"); is($?&1,1, "vmsish status check, vmsish OK exit (&CORE::exit)"); $msg = do_a_perl('-e "use vmsish qw(exit); exit 44"'); $msg =~ s/\n/\\n/g; # keep output on one line like($msg, qr/ABORT/, "vmsish ERR exit, DCL error message check"); is($?&1,0,"vmsish ERR exit, vmsish status check"); $msg = do_a_perl('-e "use vmsish qw(hushed); exit 1"'); $msg =~ s/\n/\\n/g; # keep output on one line ok(($msg !~ /ABORT/),"POSIX ERR exit, vmsish hushed, DCL error message check"); $msg = do_a_perl('-e "\&CORE::exit; use vmsish qw(hushed); ' .'vmsish::hushed(0); &CORE::exit 1"'); $msg =~ s/\n/\\n/g; # keep output on one line ok(($msg !~ /ABORT/), "POSIX ERR exit, vmsish hushed, DCL error message check (&CORE::exit)"); $msg = do_a_perl('-e "use vmsish qw(exit hushed); exit 44"'); $msg =~ s/\n/\\n/g; # keep output on one line ok(($msg !~ /ABORT/),"vmsish ERR exit, vmsish hushed, DCL error message check"); $msg = do_a_perl('-e "use vmsish qw(exit hushed); no vmsish qw(hushed); exit 44"'); $msg =~ s/\n/\\n/g; # keep output on one line like($msg, qr/ABORT/,"vmsish ERR exit, no vmsish hushed, DCL error message check"); $msg = do_a_perl('-e "use vmsish qw(hushed); die(qw(blah));"'); $msg =~ s/\n/\\n/g; # keep output on one line ok(($msg !~ /ABORT/),"die, vmsish hushed, DCL error message check"); $msg = do_a_perl('-e "\&CORE::die; use vmsish qw(hushed); ' .'vmsish::hushed(0); &CORE::die(qw(blah));"'); $msg =~ s/\n/\\n/g; # keep output on one line ok(($msg !~ /ABORT/),"&CORE::die, vmsish hushed, DCL error msg check"); $msg = do_a_perl('-e "use vmsish qw(hushed); use Carp; croak(qw(blah));"'); $msg =~ s/\n/\\n/g; # keep output on one line ok(($msg !~ /ABORT/),"croak, vmsish hushed, DCL error message check"); $msg = do_a_perl('-e "use vmsish qw(exit); vmsish::hushed(1); exit 44;"'); $msg =~ s/\n/\\n/g; # keep output on one line ok(($msg !~ /ABORT/),"vmsish ERR exit, vmsish hushed at runtime, DCL error message check"); local *TEST; open(TEST,'>vmsish_test.pl') || die('not ok ?? : unable to open "vmsish_test.pl" for writing'); print TEST "#! perl\n"; print TEST "use vmsish qw(hushed);\n"; print TEST "\$obvious = (\$compile(\$error;\n"; close TEST; $msg = do_a_perl('vmsish_test.pl'); $msg =~ s/\n/\\n/g; # keep output on one line ok(($msg !~ /ABORT/),"compile ERR exit, vmsish hushed, DCL error message check"); unlink 'vmsish_test.pl'; } #========== vmsish time ========== { my($utctime, @utclocal, @utcgmtime, $utcmtime, $vmstime, @vmslocal, @vmsgmtime, $vmsmtime, $utcval, $vmaval, $offset); # Make sure apparent local time isn't GMT if (not $ENV{'SYS$TIMEZONE_DIFFERENTIAL'}) { $oldtz = $ENV{'SYS$TIMEZONE_DIFFERENTIAL'}; $ENV{'SYS$TIMEZONE_DIFFERENTIAL'} = 3600; eval "END { \$ENV{'SYS\$TIMEZONE_DIFFERENTIAL'} = $oldtz; }"; gmtime(0); # Force reset of tz offset } # Unless we are prepared to parse the timezone rules here and figure out # what the correct offset was when the file was last revised, we need to # use a file for which the current offset is known to be valid. That's why # we create a file rather than using an existing one for the stat() test. my $file = 'sys$scratch:vmsish_t_flirble.tmp'; open TMP, ">$file" or die "Couldn't open file $file"; close TMP; END { 1 while unlink $file; } { use_ok('vmsish', 'time'); # but that didn't get it in our current scope use vmsish qw(time); $vmstime = time; @vmslocal = localtime($vmstime); @vmsgmtime = gmtime($vmstime); $vmsmtime = (stat $file)[9]; } $utctime = time; @utclocal = localtime($vmstime); @utcgmtime = gmtime($vmstime); $utcmtime = (stat $file)[9]; $offset = $ENV{'SYS$TIMEZONE_DIFFERENTIAL'}; # We allow lots of leeway (10 sec) difference for these tests, # since it's unlikely local time will differ from UTC by so small # an amount, and it renders the test resistant to delays from # things like stat() on a file mounted over a slow network link. ok(abs($utctime - $vmstime + $offset) <= 10,"(time) UTC: $utctime VMS: $vmstime"); $utcval = $utclocal[5] * 31536000 + $utclocal[7] * 86400 + $utclocal[2] * 3600 + $utclocal[1] * 60 + $utclocal[0]; $vmsval = $vmslocal[5] * 31536000 + $vmslocal[7] * 86400 + $vmslocal[2] * 3600 + $vmslocal[1] * 60 + $vmslocal[0]; ok(abs($vmsval - $utcval + $offset) <= 10, "(localtime) UTC: $utcval VMS: $vmsval"); print "# UTC: @utclocal\n# VMS: @vmslocal\n"; $utcval = $utcgmtime[5] * 31536000 + $utcgmtime[7] * 86400 + $utcgmtime[2] * 3600 + $utcgmtime[1] * 60 + $utcgmtime[0]; $vmsval = $vmsgmtime[5] * 31536000 + $vmsgmtime[7] * 86400 + $vmsgmtime[2] * 3600 + $vmsgmtime[1] * 60 + $vmsgmtime[0]; ok(abs($vmsval - $utcval + $offset) <= 10, "(gmtime) UTC: $utcval VMS: $vmsval"); print "# UTC: @utcgmtime\n# VMS: @vmsgmtime\n"; ok(abs($utcmtime - $vmsmtime + $offset) <= 10,"(stat) UTC: $utcmtime VMS: $vmsmtime"); } } #====== need this to make sure error messages come out, even if # they were turned off in invoking procedure sub do_a_perl { local *P; open(P,'>vmsish_test.com') || die('not ok ?? : unable to open "vmsish_test.com" for writing'); print P "\$ set message/facil/sever/ident/text\n"; print P "\$ define/nolog/user sys\$error _nla0:\n"; print P "\$ $Invoke_Perl @_\n"; close P; my $x = `\@vmsish_test.com`; unlink 'vmsish_test.com'; return $x; }